Auto Multiple Choice - Bug # 578: AMC @git:2c10fc73 : I'export des notes échoue

Status: Closed Priority: Normal
Author: Joél Brogniart Category:

Created: 07/05/2018 Assignee:

Updated: 07/09/2018 Due date:

Description: Sous macOS 10.13.5 (MacPorts 2.5.3, Xcode 9.4.1), avec AMC git:2¢10fc73

L'export des notes au format LibreOffice échoue.

History

07/05/2018 09:47 am - Joél Brogniart

J'ai trouvé pourquoi I'export a échoué. J'ai lancé AMC en ligne de commande. Mais je I'ai lancé depuis un dossier dans lequel il n'était pas possible
d'écrire. Du genre :

<pre>

Machine:~ julesvernes$ cd ~/data/readonly

Machine:readonly julesvernes$ auto-multiple-choice

dbus[12304]: Dynamic session lookup supported but failed: launchd did not provide a socket path, verify that org.freedesktop.dbus-session.plist is
loaded!

[OpenOffice::0O0Doc::File] No write permission in .

[OpenOffice::00Doc::File::save] Write operation not allowed - Working directory missing or non writable

[OpenOffice::00Doc::File] No write permission in .

[OpenOffice::00Doc::File::save] Write operation not allowed - Working directory missing or non writable

</pre>

C'est étrange qu'AMC essaie d'écrire dans le dossier courant non ?

07/06/2018 11:43 am - Alexis Bienveniie
- Assignee deleted (Alexis Bienveniie)

- Target version set to 1.4.0

Apparemment ce n'est pas (totalement) di @ AMC mais a OpenOffice::0O0Doc : la commande

perl -MOpenOffice::0O0Doc -le '‘odfContainer("/tmp/test.ods" create => "spreadsheet")->save()'

ne fonctionne pas si elle est appelée depuis un répertoire pour lequel on n'a pas les droits en écriture.
La révision git:d537a11e devrait corriger le probléme en passant a OpenOffice::O0Doc un répertoire temporaire correct.

07/06/2018 11:54 am - Alexis Bienveniie

- Status changed from New to Feedback

07/09/2018 09:05 am - Joél Brogniart

J'ai testé la nouvelle version et effectivement le probléme n'existe plus. Merci.

07/09/2018 09:14 am - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
Merci pour le rapport !

Files
AMC-DEBUG-z4Xb1B4H.log 10.5 kB 07/05/2018 Joél Brogniart
AMC-PACK-QhrHveX2.xml 1.2kB 07/05/2018 Joél Brogniart
